Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.jetty.plus.jaas
Class JAASGroup

    java.lang.Object
      org.mortbay.jetty.plus.jaas.JAASGroup

All Implemented Interfaces:
  Group, Principal

    public class JAASGroup

extends Object
implements Group

Field Summary
`static String` | `ROLES`

Constructor Summary
`JAASGroup(String n)`

Method Summary
`boolean` | `addMember(Principal principal)`
`boolean` | `equals(Object object)`
`String` | `getName()`
`int` | `hashCode()`
`boolean` | `isMember(Principal principal)`
`Enumeration` | `members()`
`boolean` | `removeMember(Principal principal)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### ROLES

    public static final String ROLES

See Also:
  Constant Field Values

Constructor Detail

### JAASGroup

    public JAASGroup(String n)

Method Detail

### addMember

    public boolean addMember(Principal principal)

  Specified by:
    `addMember` in interface `Group`
  Parameters:
    `principal` -
  Returns:

### removeMember

    public boolean removeMember(Principal principal)

  Specified by:
    `removeMember` in interface `Group`
  Parameters:
    `principal` -
  Returns:

### isMember

    public boolean isMember(Principal principal)

  Specified by:
    `isMember` in interface `Group`
  Parameters:
    `principal` -
  Returns:

### members

    public Enumeration members()

  Specified by:
    `members` in interface `Group`
  Returns:

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in interface `Principal`
  Overrides:
    `hashCode` in class `Object`
  Returns:

### equals

    public boolean equals(Object object)

  Specified by:
    `equals` in interface `Principal`
  Overrides:
    `equals` in class `Object`
  Parameters:
    `object` -
  Returns:

### toString

    public String toString()

  Specified by:
    `toString` in interface `Principal`
  Overrides:
    `toString` in class `Object`
  Returns:

### getName

    public String getName()

  Specified by:
    `getName` in interface `Principal`
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.